#ifndef PACKAGE__MISC__FDTOOLS__FDTOOLS_H
#define PACKAGE__MISC__FDTOOLS__FDTOOLS_H

#include <sys/types.h>

extern int scan_or_open(int*, char const*, int, mode_t);

extern int seek0(int);
enum seek0_return {
  seek0_success, seek0_lseek
};

extern int setblock(int, int);
enum setblock_return {
  setblock_success, setblock_getfl, setblock_setfl
};

extern int grabconsole(int);
enum grabconsole_return {
  grabconsole_success, grabconsole_ioctl, grabconsole_devconsole_open,
  grabconsole_devconsole_close
};

#endif
